Browse Source

tvim: get rid of nvim; mykblayouts: get rid of ducky layouts; compton_toggle: disable fade effects

master
Von Random 2 months ago
parent
commit
8d27b64fdb
3 changed files with 5 additions and 12 deletions
  1. 1
    1
      compton_toggle
  2. 3
    9
      mykblayouts
  3. 1
    2
      tvim

+ 1
- 1
compton_toggle View File

@@ -15,7 +15,7 @@ if [[ -e $nvidia_dev ]]; then
15 15
 else
16 16
 	gpu_opts=(--dbe --vsync opengl --backend xrender)
17 17
 fi
18
-compton $gpu_opts[@] -cGC -t-5 -l-5 -r4 -o.55 &
18
+compton $gpu_opts[@] -cGC -t-5 -l-5 -r4 -o.55 --no-fading-openclose &
19 19
 pid=$!
20 20
 if [[ -n $pid ]]; then
21 21
 	printf '%s' $pid > $pidfile

+ 3
- 9
mykblayouts View File

@@ -1,14 +1,8 @@
1 1
 #!/usr/bin/env zsh
2 2
 
3
+layouts='us(altgr-intl),ru(typewriter)'
4
+opts='grp:win_space_toggle,compose:menu,ctrl:nocaps'
5
+
3 6
 # reset this before setting anything
4 7
 setxkbmap us -option
5
-
6
-if $(lsusb -d '04d9:0125' > /dev/null) || [[ -n $1 ]]; then
7
-    layouts='us(altgr-intl),ru(typewriter)'
8
-    opts='grp:win_space_toggle,compose:menu,ctrl:nocaps'
9
-else
10
-    layouts='us(ducky),ru(ducky)'
11
-    opts='grp:win_space_toggle,compose:menu'
12
-fi
13
-
14 8
 setxkbmap $layouts -option $opts

+ 1
- 2
tvim View File

@@ -1,7 +1,6 @@
1 1
 #!/usr/bin/env bash
2 2
 typeset -a vimopt=(
3 3
     '--cmd' 'let g:tvim = 1'
4
-    '-c' 'set mouse=a'
5 4
 )
6 5
 
7 6
 error() {
@@ -10,6 +9,6 @@ error() {
10 9
 }
11 10
 
12 11
 termbin=$(command -v default-terminal-emulator) || termbin=$(command -v xterm) || error "No terminal found!"
13
-vimbin=$(command -v nvim) || vimbin=$(command -v vim) || error "No vim binary found!"
12
+vimbin=$(command -v vim) || error "No vim binary found!"
14 13
 
15 14
 exec "$termbin" -c tvim -e "$vimbin" "${vimopt[@]}" "$@" &>/dev/null & disown

Loading…
Cancel
Save